Bug 858008 - As a WebUI user when managing system templates I would like the lower right pane to auto-close
As a WebUI user when managing system templates I would like the lower right p...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
All Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Eric Helms
Og Maciel
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 14:31 EDT by Aaron Weitekamp
Modified: 2013-09-19 14:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:13:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencap: ui improvement (137.88 KB, image/jpeg)
2012-09-17 14:31 EDT, Aaron Weitekamp
no flags Details

  None (edit)
Description Aaron Weitekamp 2012-09-17 14:31:49 EDT
Created attachment 613754 [details]
screencap: ui improvement

Description of problem:
As a WebUI user when managing system templates I would like the right pane "edit details" and "download" slider content to auto-close when navigating to Package Groups, Packages, Repositories or Selected Distribution.

Version-Release number of selected component:
CloudForms System Engine Version: 1.1.12-7.el6cf 

How reproducible:
100%

Steps to Reproduce:
1. Nav to Content -> System Templates
2. Select a system template from the right pane
3. Select "Edit Details" or "Download" from bottom menu
4. Navigate within right pane, selecting Package Groups, Packages, Repositories or Selected Distribution.
5. "Edit Details" and "Download" slider is visually in the way.
 
Actual results:
"Edit Details" and "Download" slider is visually in the way.

Expected results:
"Edit Details" and "Download" slider should slide down out of the way.
Comment 2 Aaron Weitekamp 2012-09-18 15:36:07 EDT
Version:
[root@qeblade41 ~]# rpm -qa |grep katello
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
Comment 3 David Davis 2012-12-19 08:34:19 EST

*** This bug has been marked as a duplicate of bug 857061 ***
Comment 4 David Davis 2012-12-19 08:37:35 EST
Sorry, bug 857061 is similar but doesn't actually fix the problem outlined in this bug. Reopening.
Comment 5 David Davis 2012-12-19 08:38:35 EST
Note to self: I need to bind "KT.options.action_bar.reset();" to the sliding tree.
Comment 6 Eric Helms 2013-01-22 16:04:22 EST
This is fixed and tracked here - https://github.com/Katello/katello/pull/1437
Comment 7 Eric Helms 2013-02-12 09:06:20 EST
This fix is available as of b036988b4294c140936b528dd2e83a1b78cbe80f
Comment 8 Mike McCune 2013-08-16 14:15:35 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 9 Mike McCune 2013-09-19 14:13:58 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.